Bug 589774 - /sbin/start_udev should set a udev property for noiswmd kernel cmdline option
Summary: /sbin/start_udev should set a udev property for noiswmd kernel cmdline option
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
(Show other bugs)
Version: 13
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-06 20:51 UTC by Hans de Goede
Modified: 2010-08-20 01:27 UTC (History)
2 users (show)

Fixed In Version: udev-153-3.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 589775 (view as bug list)
Environment:
Last Closed: 2010-08-20 01:27:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Hans de Goede 2010-05-06 20:51:45 UTC
For F-13 (and RHEL-6, I'll clone this bug), mdraid set activation has moved from rc.sysinit to udev rules. This includes the activation of isw / imsm BIOS RAID sets.

In order for the udev rules to be able to honor the noiswmd kernel cmdline option a udev property should be set when this option is present so that the udev rules can check for this.

The rules already check for rd_NO_MDIMSM, this was my idea / suggestion as
I assumed this property would be propagated from the initrd udev to the normal one, but it is not.

Still it would be the easiest to use rd_NO_MDIMSM as property name.

Comment 1 Fedora Update System 2010-08-05 06:49:41 UTC
udev-153-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/udev-153-2.fc13

Comment 2 Fedora Update System 2010-08-05 23:48:48 UTC
udev-153-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update udev'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/udev-153-2.fc13

Comment 3 Fedora Update System 2010-08-13 08:39:30 UTC
udev-153-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/udev-153-3.fc13

Comment 4 Fedora Update System 2010-08-20 01:27:09 UTC
udev-153-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.